//  main: main.less, out: ../style.css


/* ====================================================================================================================================
FONT IMPORT
======================================================================================================================================*/

@import url('https://fonts.googleapis.com/css?family=Barlow:300,400,700&display=swap');

@font_base: 'Barlow', sans-serif;
@font_titles: @font_base;

/* ====================================================================================================================================
FONT RULES
======================================================================================================================================*/
body {
    font-family: @font_base;
    font-weight: @font_w__r;
    line-height: @font_line_h__r;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: @font_titles;
    font-weight: @font_w__b;
    line-height: @font_line_h__s;
    margin: .6em 0;
}

h1 {
    font-size: @size__xl;

    @media @media_smartphone,
    @media_tablet {
        font-size: @size__l;
    }
}

h2 {
    font-size: @size__xl;

    @media @media_smartphone,
    @media_tablet {
        font-size: @size__l;
    }
}

h3 {
    font-size: @size__xl;

    @media @media_smartphone,
    @media_tablet {
        font-size: @size__l;
    }
}

h4 {
    font-size: @size__m;

    @media @media_smartphone,
    @media_tablet {
        font-size: @size__m;
    }
}

html {
    font-family: @font_base;
    font-size: @size__r;
    color: @color__text;
}

strong {
    font-weight: @font_w__b;
}